Class: FetcherError
Defined in: packages/http/src/fetcher.ts:176 Thrown for transport-level fetcher failures: timeouts, network errors, non-2xx responses, JSON-parse failures, and request-body serialisation errors. Distinct from FetcherValidationError, which is reserved for schema decode failures on otherwise-valid responses.Extends
Error
Constructors
Constructor
new FetcherError(Defined in: packages/http/src/fetcher.ts:177message,url,status?,responseData?,attempt?):FetcherError
Parameters
message
string
url
string
status?
number
responseData?
unknown
attempt?
number
Returns
FetcherError
Overrides
Error.constructor
Properties
[toStringTag]
[toStringTag]:Defined in: packages/http/src/fetcher.ts:189string="FetcherError"
~effect/ErrorReporter/attributes?
Defined in: node_modules/effect/dist/ErrorReporter.d.ts:218readonlyoptional~effect/ErrorReporter/attributes?:ReadonlyRecord<string,unknown>
Inherited from
Error.~effect/ErrorReporter/attributes
~effect/ErrorReporter/ignore?
Defined in: node_modules/effect/dist/ErrorReporter.d.ts:216readonlyoptional~effect/ErrorReporter/ignore?:boolean
Inherited from
Error.~effect/ErrorReporter/ignore
~effect/ErrorReporter/severity?
Defined in: node_modules/effect/dist/ErrorReporter.d.ts:217readonlyoptional~effect/ErrorReporter/severity?:Severity
Inherited from
Error.~effect/ErrorReporter/severity
~effect/Runtime/errorExitCode?
Defined in: node_modules/effect/dist/Runtime.d.ts:156readonlyoptional~effect/Runtime/errorExitCode?:number
Inherited from
Error.~effect/Runtime/errorExitCode
~effect/Runtime/errorReported?
Defined in: node_modules/effect/dist/Runtime.d.ts:157readonlyoptional~effect/Runtime/errorReported?:boolean
Inherited from
Error.~effect/Runtime/errorReported
attempt?
Defined in: packages/http/src/fetcher.ts:182 Retry attempt number (1-indexed) at which the failure occurred.readonlyoptionalattempt?:number
cause?
Defined in: node_modules/typescript/lib/lib.es2022.error.d.ts:24optionalcause?:unknown
Inherited from
Error.cause
message
message: string
Defined in: node_modules/typescript/lib/lib.es5.d.ts:1075
Inherited from
Error.message
name
name: string
Defined in: node_modules/typescript/lib/lib.es5.d.ts:1074
Inherited from
Error.name
responseData?
Defined in: packages/http/src/fetcher.ts:181 Best-effort capture of the response body (parsed when possible, otherwise the raw text).readonlyoptionalresponseData?:unknown
stack?
Defined in: node_modules/typescript/lib/lib.es5.d.ts:1076optionalstack?:string
Inherited from
Error.stack
status?
Defined in: packages/http/src/fetcher.ts:180 HTTP status code, when one was received. Absent for timeouts and pre-flight errors.readonlyoptionalstatus?:number
url
Defined in: packages/http/src/fetcher.ts:179 The request URL.readonlyurl:string
stackTraceLimit
Defined in: node_modules/@types/node/globals.d.ts:67 ThestaticstackTraceLimit:number
Error.stackTraceLimit property specifies the number of stack frames
collected by a stack trace (whether generated by new Error().stack or
Error.captureStackTrace(obj)).
The default value is 10 but may be set to any valid JavaScript number. Changes
will affect any stack trace captured after the value has been changed.
If set to a non-number value, or set to a negative number, stack traces will
not capture any frames.
Inherited from
Error.stackTraceLimit
Methods
toString()
toString(): string
Defined in: packages/http/src/fetcher.ts:191
Returns a string representation of an object.
Returns
string
captureStackTrace()
Defined in: node_modules/@types/node/globals.d.ts:51 Creates astaticcaptureStackTrace(targetObject,constructorOpt?):void
.stack property on targetObject, which when accessed returns
a string representing the location in the code at which
Error.captureStackTrace() was called.
${myObject.name}: ${myObject.message}.
The optional constructorOpt argument accepts a function. If given, all frames
above constructorOpt, including constructorOpt, will be omitted from the
generated stack trace.
The constructorOpt argument is useful for hiding implementation
details of error generation from the user. For instance:
Parameters
targetObject
object
constructorOpt?
Function
Returns
void
Inherited from
Error.captureStackTrace
prepareStackTrace()
Defined in: node_modules/@types/node/globals.d.ts:55staticprepareStackTrace(err,stackTraces):any
Parameters
err
Error
stackTraces
CallSite[]
Returns
any
See
https://v8.dev/docs/stack-trace-api#customizing-stack-tracesInherited from
Error.prepareStackTrace